<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ProductLauncher](./puppeteer.productlauncher.md)

## ProductLauncher interface

Describes a launcher - a class that is able to create and launch a browser instance.

<b>Signature:</b>

```typescript
export interface ProductLauncher 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [executablePath](./puppeteer.productlauncher.executablepath.md) | () =&gt; string |  |
|  [product](./puppeteer.productlauncher.product.md) | string |  |

## Methods

|  Method | Description |
|  --- | --- |
|  [connect(object)](./puppeteer.productlauncher.connect.md) |  |
|  [defaultArgs(object)](./puppeteer.productlauncher.defaultargs.md) |  |
|  [launch(object)](./puppeteer.productlauncher.launch.md) |  |

